from fabric.api import *

env.user = "franciszek"
env.key_filename = "/home/daz/.ssh/jp2gmd_rsa"
env.hosts = ['papiezlubi.keba.by']

def prepare_deploy():
    #local("./manage.py test my_app") # TOPKEK:
    local("git add -p && git commit")
    local("git push")


def deploy():
    code_dir = '/home/franciszek/papiez_ipsum'
    with cd(code_dir):
        run("git pull")
        #run("touch app.wsgi")


def start():
    code_dir = '/home/franciszek/papiez_ipsum'
    with cd(code_dir):
        run("uwsgi --ini uwsgi.ini")



def start_debug():
    code_dir = '/home/franciszek/papiez_ipsum/src'
    with cd(code_dir):
        run("python manage.py runserver 0.0.0.0:8181")


def stop():
    code_dir = '/home/franciszek/papiez_ipsum'
    with cd(code_dir):
        run("uwsgi --stop /tmp/papiez_ipsum.pid")

